# Typescript ile Class ismini dinamik olarak almak

![DALLE\_2023-10-31\_21.54.58\_-\_Hand-drawn\_cute\_lineal\_color\_illustration\_deeply\_saturated\_in\_mor\_tones\_showing\_an\_ENTP\_kitten\_inside\_a\_magical\_alchemy\_lab.\_The\_kitten\_wearing\_a\_w.png](https://i.imgur.com/6Rd83DF.png)

![S8MdhNw.png](https://i.imgur.com/S8MdhNw.png)

## `getClassName` Yaklasimi

* Her seferinde tekrardan isim dǒndururlur

```typescript
class Base {
    getClassName() {
        return this.constructor.name;
    }
}

class Derived extends Base {}

const derivedInstance = new Derived();
console.log(derivedInstance.getClassName());  // "Derived" çıktısını verir
```

***

![uMLmKw3.png](https://i.imgur.com/uMLmKw3.png)

## `readonly` className Yaklasimi

* Tek seferlik atama yapilir ve memoryde tutulur

```typescript
class Base {
    readonly className = this.constructor.name;
}

class Derived extends Base {}

const baseInstance = new Base();
console.log(baseInstance.className);  // "Base" çıktısını verir

const derivedInstance = new Derived();
console.log(derivedInstance.className);  // "Derived" çıktısını verir
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yemreak.com/arsiv/programming/typescript-ile-class-ismini-dinamik-olarak-almak.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
